initrd doesn't set keyboard layout when nvidia drivers are installed (FRAMEBUFFER=n override)

Bug #864149 reported by wizwiz50 on 2011-10-01
20
This bug affects 5 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone
fglrx-installer-updates (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone
initramfs-tools (Ubuntu)
High
Steve Langasek
Oneiric
High
Steve Langasek
nvidia-graphics-drivers (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone
nvidia-graphics-drivers-173 (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone
nvidia-graphics-drivers-173-updates (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone
nvidia-graphics-drivers-96 (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone
nvidia-graphics-drivers-96-updates (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone
nvidia-graphics-drivers-updates (Ubuntu)
High
Alberto Milone
Oneiric
High
Alberto Milone

Bug Description

I added a fr/us layout compatible passphrase so i can open my root luks partition again.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: cryptsetup 2:1.1.3-4ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 1.23-0ubuntu2
Architecture: amd64
Date: Sat Oct 1 18:09:56 2011
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
ProcEnviron:
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: cryptsetup
UpgradeStatus: Upgraded to oneiric on 2011-10-01 (0 days ago)
crypttab:
 # <target name> <source device> <key file> <options>
 #sunny /dev/disk/by-uuid/63cacbac-1630-422e-9e55-87ea3f0e7b90 none luks
 #sunnyRootLuks /dev/sda5 none luks
 sunnyRootLuks /dev/disk/by-uuid/63cacbac-1630-422e-9e55-87ea3f0e7b90 none luks

wizwiz50 (wizwiz50) wrote :
Steve Langasek (vorlon) wrote :

This is a result of recent changes in the nvidia-graphics-drivers package; I see from your bug report that you have the binary driver enabled.

When cryptsetup is installed, /usr/share/initramfs-tools/conf-hooks.d/cryptsetup sets the 'FRAMEBUFFER' option to 'y'. This causes the plymouth, framebuffer, and brltty hooks to be run, and causes /usr/share/initramfs-tools/scripts/init-top/console_setup to be run in the initramfs... where it would *not* be by default except when the initramfs is interrupted.

The oneiric nvidia packages now install an override hook that unconditionally sets FRAMEBUFFER=n in the initramfs. This fixes a legitimate bug, because letting the framebuffer module be loaded in the initramfs garbles the display (in my experience). However, it does so in a way that prevents *any* access to plymouth from within the initramfs, which is a serious regression for those using luks root partitions.

We should try to find a better way to enable the FRAMEBUFFER option to enable the *correct* modules being loaded from within the initramfs, instead of disabling the FRAMEBUFFER option.

affects: cryptsetup (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
importance: Undecided → High
status: New → Triaged
Changed in initramfs-tools (Ubuntu):
status: New → Triaged
importance: Undecided → High
Steve Langasek (vorlon) on 2011-10-01
summary: - initrd doesn't set Fr keyboard layout anymore => couldn't open root luks
- at boot
+ initrd doesn't set keyboard layout when nvidia drivers are installed
+ (FRAMEBUFFER=n overridde)
summary: initrd doesn't set keyboard layout when nvidia drivers are installed
- (FRAMEBUFFER=n overridde)
+ (FRAMEBUFFER=n override)
Steve Langasek (vorlon) wrote :

This can be addressed without reintroducing the problem from bug #839524 with three changes:

 - drop the nvidia "proprietary-graphics-drivers" initramfs hook config.
 - set 'alias nouveau off' in the modprobe blacklist file, *not* 'blacklist nouveau'. (udev ignores module blacklisting by design!)
 - add a fallback in the framebuffer initramfs script to try to load the vesafb module if no other framebuffer has been loaded. This gives us fallback behavior equivalent to what's used post-initramfs when cryptsetup is not installed, and does not negatively impact booting when the vesa linear framebuffer is unavailable (i.e., when booting with gfxpayload=text) other than generating a warning message that vesafb can't be loaded.

This will ensure the nouveau driver will not be loaded in the initramfs when nvidia drivers are installed, that a best effort is made to load the vesafb driver from the initramfs where possible, and that other functionality that keys on FRAMEBUFFER=y - keyboard map setting, brltty support, and plymouth itself - does not regress.

Changed in nvidia-graphics-drivers (Ubuntu Oneiric):
assignee: nobody → Alberto Milone (albertomilone)
Changed in initramfs-tools (Ubuntu Oneiric):
assignee: nobody → Steve Langasek (vorlon)
Steve Langasek (vorlon) on 2011-10-01
Changed in fglrx-installer (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Changed in fglrx-installer-updates (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-173 (Ubuntu Oneiric):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Triaged
Changed in nvidia-graphics-drivers-173-updates (Ubuntu Oneiric):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Triaged
Steve Langasek (vorlon) on 2011-10-01
Changed in nvidia-graphics-drivers-96 (Ubuntu Oneiric):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Triaged
Changed in nvidia-graphics-drivers-96-updates (Ubuntu Oneiric):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Triaged
Steve Langasek (vorlon) on 2011-10-01
Changed in nvidia-graphics-drivers-updates (Ubuntu Oneiric):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Triaged
Steve Langasek (vorlon) wrote :

One correction: we need to handle nouveau with *both* a blacklist entry *and* an alias to off, to prevent both udev and X from trying to load it.

The attachment "patch for bugs 864149 and 854967" of this bug report has been identified as being a patch in the form of a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-sponsors please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.99ubuntu6

---------------
initramfs-tools (0.99ubuntu6) oneiric; urgency=low

  * scripts/init-top/framebuffer: fall back to vesafb if no other
    framebuffer is found/configured, so we can take full advantage of the
    grub gfxpayload handoff support. This ensures we get a clean
    framebuffer-based plymouth screen even when using binary video drivers.
    LP: #864149, LP: #563878, LP: #771905.
 -- Steve Langasek <email address hidden> Sat, 01 Oct 2011 20:53:15 -0700

Changed in initramfs-tools (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers - 280.13-0ubuntu5

---------------
nvidia-graphics-drivers (280.13-0ubuntu5) oneiric; urgency=low

  * Drop /usr/share/grub-gfxpayload-lists/blacklist handling; there's
    nothing about binary drivers in particular that requires blacklisting,
    we just need recovery mode to not start the console in graphics mode.
    LP: #854967.
  * Drop the initramfs hook in favor of 'alias nouveau/lbm_nouveau off',
    so that initramfs framebuffer handling will still work. LP: #864149.
 -- Steve Langasek <email address hidden> Sat, 01 Oct 2011 23:06:02 +0000

Changed in nvidia-graphics-drivers (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-updates - 280.13-0ubuntu5

---------------
nvidia-graphics-drivers-updates (280.13-0ubuntu5) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias nouveau/lbm_nouveau off" (LP: #864149).
 -- Alberto Milone <email address hidden> Mon, 10 Oct 2011 18:42:48 +0200

Changed in nvidia-graphics-drivers-updates (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173 - 173.14.30-0ubuntu8

---------------
nvidia-graphics-drivers-173 (173.14.30-0ubuntu8) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias nouveau/lbm_nouveau off" (LP: #864149).
 -- Alberto Milone <email address hidden> Mon, 10 Oct 2011 18:46:31 +0200

Changed in nvidia-graphics-drivers-173 (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-173-updates - 173.14.30-0ubuntu5

---------------
nvidia-graphics-drivers-173-updates (173.14.30-0ubuntu5) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias nouveau/lbm_nouveau off" (LP: #864149).
 -- Alberto Milone <email address hidden> Mon, 10 Oct 2011 18:47:35 +0200

Changed in nvidia-graphics-drivers-173-updates (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-96-updates - 96.43.20-0ubuntu5

---------------
nvidia-graphics-drivers-96-updates (96.43.20-0ubuntu5) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias nouveau/lbm_nouveau off" (LP: #864149).
 -- Alberto Milone <email address hidden> Mon, 10 Oct 2011 18:49:48 +0200

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-96 - 96.43.20-0ubuntu6

---------------
nvidia-graphics-drivers-96 (96.43.20-0ubuntu6) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias nouveau/lbm_nouveau off" (LP: #864149).
 -- Alberto Milone <email address hidden> Mon, 10 Oct 2011 18:48:47 +0200

Changed in nvidia-graphics-drivers-96 (Ubuntu Oneiric):
status: Triaged → Fix Released
Changed in nvidia-graphics-drivers-96-updates (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.881-0ubuntu6

---------------
fglrx-installer-updates (2:8.881-0ubuntu6) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias nouveau/lbm_nouveau off" (LP: #864149).
 -- Alberto Milone <email address hidden> Mon, 10 Oct 2011 18:51:26 +0200

Changed in fglrx-installer-updates (Ubuntu Oneiric):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer - 2:8.881-0ubuntu4

---------------
fglrx-installer (2:8.881-0ubuntu4) oneiric; urgency=low

  * Re-enable grub fb and drop the initramfs hook in favour of
    "alias radeon/lbm_radeon off" (LP: #864149).
 -- Alberto Milone <email address hidden> Mon, 10 Oct 2011 20:29:27 +0200

Changed in fglrx-installer (Ubuntu Oneiric):
status: Triaged → Fix Released
tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers